# Ipopt::SensitivityStepCalculator Class Reference

`#include <SensStepCalc.hpp>`

Inheritance diagram for Ipopt::SensitivityStepCalculator:
[legend]

List of all members.

## Public Member Functions
| SensitivityStepCalculator ()
virtual | ~SensitivityStepCalculator ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class.
bool | Do_Boundcheck () const
void | SetSchurDriver (SmartPtr< SchurDriver > driver)
SmartPtr< SchurDriver > | Driver ()
virtual bool | Step (DenseVector &delta_u, IteratesVector &sol)=0
| This is the main algorithmic function of this class; It calculates a step using its SchurDriver, checks bounds, and returns it.
## Private Attributes
SmartPtr< SchurDriver > | driver_
bool | do_boundcheck_

## Detailed Description

Definition at line 20 of file SensStepCalc.hpp.

## Constructor & Destructor Documentation

Ipopt::SensitivityStepCalculator::SensitivityStepCalculator | ( |  | ) | `[inline]`

Definition at line 25 of file SensStepCalc.hpp.

virtual Ipopt::SensitivityStepCalculator::~SensitivityStepCalculator | ( |  | ) | `[inline, virtual]`

Definition at line 32 of file SensStepCalc.hpp.

## Member Function Documentation

virtual bool Ipopt::SensitivityStepCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[inline, virtual]`

Implementation of the initialization method that has to be overloaded by for each derived class.

Implements Ipopt::AlgorithmStrategyObject.

Reimplemented in Ipopt::StdStepCalculator.

Definition at line 36 of file SensStepCalc.hpp.

bool Ipopt::SensitivityStepCalculator::Do_Boundcheck | ( |  | ) | const`[inline]`

Definition at line 43 of file SensStepCalc.hpp.

void Ipopt::SensitivityStepCalculator::SetSchurDriver | ( | SmartPtr< SchurDriver > | driver | ) | `[inline]`

Definition at line 48 of file SensStepCalc.hpp.

SmartPtr<SchurDriver> Ipopt::SensitivityStepCalculator::Driver | ( |  | ) | `[inline]`

Definition at line 58 of file SensStepCalc.hpp.

virtual bool Ipopt::SensitivityStepCalculator::Step | ( | DenseVector & | delta_u,
|  | IteratesVector & | sol |
| ) |  |  | `[pure virtual]`

This is the main algorithmic function of this class; It calculates a step using its SchurDriver, checks bounds, and returns it.

Implemented in Ipopt::StdStepCalculator.

## Member Data Documentation

SmartPtr<SchurDriver> Ipopt::SensitivityStepCalculator::driver_`[private]`

Definition at line 70 of file SensStepCalc.hpp.

bool Ipopt::SensitivityStepCalculator::do_boundcheck_`[private]`

Definition at line 71 of file SensStepCalc.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensStepCalc.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines